---
updatedAt: 2025-09-24T00:03:55.000Z
agentTools:
  projectIndex: https://docs.bridgeapi.io/v2021.06.01/llms.txt
---

# List payment requests

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "v2021-06-01",
    "version": "2021.06.01"
  },
  "servers": [
    {
      "url": "https://api.bridgeapi.io/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "Client-Secret"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/payment-requests": {
      "get": {
        "summary": "List payment requests",
        "description": "",
        "operationId": "get-all-payment-requests",
        "parameters": [
          {
            "name": "after",
            "in": "query",
            "description": "Cursor pointing to the start of the desired set",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Number of records to return. Accepted values: 1 - 500",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": null
            }
          },
          {
            "name": "since",
            "in": "query",
            "description": "Limit to payment requests created after the specified date. Format example: 2021-09-21T22:00:00.000Z",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "until",
            "in": "query",
            "description": "Limit to payment requests created before the specified date. Format example: 2021-09-21T22:00:00.000Z",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "You can filter the payment requests according to their status: CREA, ACTC, PDNG, ACSC, RJCT, PART",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "payment_link_id",
            "in": "query",
            "description": "You can filter payment requests linked to a payment link by setting a payment link id here",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Id",
            "in": "header",
            "description": "Application's client id.",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Client-Secret",
            "in": "header",
            "description": "Application's client secret.",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Ok": {
                    "value": "{\n  \"resources\": [\n    {\n      \"id\": \"e959dccd632c49d7922a766e946ad9e9\",\n      \"status\": \"ACSC\",\n      \"user\": {\n        \"first_name\": \"Thomas\",\n        \"last_name\": \"Pichet\",\n        \"external_reference\": \"AEF142536-890\",\n        \"ip_address\": \"0.0.0.0\"\n      },\n      \"sender\": {\n        \"name\": \"John doe\",\n        \"iban\": \"FR18XXXXXXXXXXXXXXXXXXXXJ81\"\n      },\n      \"transactions\": [\n        {\n          \"id\": \"79e61d0c29b1491196bc0c39f27b5bb8\",\n          \"amount\": 99.5,\n          \"currency\": \"EUR\",\n          \"label\": \"Payment label\",\n          \"execution_date\":\"2021-10-30\",\n          \"status\": \"ACSC\",\n          \"beneficiary\": {\n            \"first_name\": \"Test\",\n            \"last_name\": \"Merchant\",\n            \"iban\": \"FR76XXXXXXXXXXXXXXXXXXXX185\"\n          },\n          \"client_reference\": \"12345678-AZERTY\",\n          \"end_to_end_id\": \"12345678-AFERS\"\n        }\n      ],\n      \"created_at\": \"2020-08-04T16:37:29Z\",\n      \"updated_at\": \"2020-08-04T16:37:29Z\",\n      \"client_reference\": \"12345678-AZERTY\",\n      \"payment_link_id\": \"d96a760a-a70b-40ec-bb15-2589894d9f6e\",\n      \"bank_id\": 6\n    },\n    //...\n  ],\n  \"pagination\": {\n    \"next_uri\": \"/v2/payment-requests?after=MjAxNS0xMS0xNjo0NTU3ODE1Mg\"\n  }\n}"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl 'https://api.bridgeapi.io/v2/payment-requests?status=ACSC,RJCT' \\\n\t-X GET \\\n  -H 'Bridge-Version: 2021-06-01' \\\n\t-H 'Client-Id: MY_CLIENT_ID' \\\n\t-H 'Client-Secret: MY_CLIENT_SECRET'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "Bridge-Version",
        "value": "2021-06-01"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```